std::atomic< unsigned short > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< unsigned short >.

## Public Types

typedef __atomic_base< unsigned short > | __base_type
typedef unsigned short | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Detailed Description

Explicit specialization for unsigned short.

Definition at line 804 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<unsigned short> std::atomic< unsigned short >::__base_type

Definition at line 807 of file atomic.

## __integral_type

typedef unsigned short std::atomic< unsigned short >::__integral_type

Definition at line 806 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< unsigned short >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 815 of file atomic.

The documentation for this struct was generated from the following file:

- atomic